Description:
- The objective of this specific unit test is to ensure that the function analyze_prediction in main.py performs accurately when called upon to process a typical file input via the ocr module.
only difference is the page number is different for the prediction and the groundTruth. expected behaviour is a 0 on every metric.
